.\"	$NetBSD: ess.4,v 1.13 2005/06/22 04:30:08 kent Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 22, 2005
.Dt ESS 4
.Os
.Sh NAME
.Nm ess
.Nd ESS Technology AudioDrive family audio device driver
.Sh SYNOPSIS
.Cd "ess*   at isapnp?"
.Cd "ess*   at pnpbios? index ?"
.Cd "ess*   at ofisa?"
.Cd "audio* at audiobus?"
.Cd "opl*   at ess?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the ESS 1788, 1888, 1887, and 888 AudioDrive
audio devices.
.Pp
The AudioDrive 1788 is a half-duplex device, while the 1888, 1887, and
888 are full-duplex. All are capable of 8- and 16-bit audio sample
recording and playback at rates up to 44.1kHz.
.Pp
The AudioDrive takes 16 I/O ports. The I/O port range, IRQ, and DRQ
channels are set by the driver to the values specified in the
configuration file (or for isapnp, pnpbios, or ofisa, the values
assigned from the firmware).
The I/O port base must be one of 0x220, 0x230, 0x240,
0x250. The IRQ must be one of 5, 7, 9, 10 (or 15 on the 1887
only). The first DRQ channel must be selected from 0, 1, 3. The second
DRQ channel (used for playback by the full-duplex 1888/1887, ignored
by the 1788) can additionally be set to 5. If both DRQ channels are
used they must be different.
.Pp
The joystick interface (if enabled) is handled by the
.Xr joy 4
driver.
.Sh SEE ALSO
.Xr audio 4 ,
.Xr isapnp 4 ,
.Xr joy 4 ,
.Xr ofisa 4 ,
.Xr opl 4 ,
.Xr pnpbios 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.4 .
.Sh BUGS
The AudioDrive devices have a SoundBlaster compatibility mode, and may
be detected by the SoundBlaster driver (see
.Xr sb 4 )
rather than the AudioDrive driver. The workaround is to remove the
SoundBlaster driver from the kernel configuration.
